import request from '@/utils/request'

// 查询安全例会台账列表
export function listLedger(query) {
  return request({
    url: '/safe/meeting/list',
    method: 'get',
    params: query
  })
}

// 查询安全例会台账详细
export function getLedger(meetingId) {
  return request({
    url: '/safe/meeting/' + meetingId,
    method: 'get'
  })
}

// 新增安全例会台账
export function addLedger(data) {
  return request({
    url: '/safe/meeting',
    method: 'post',
    data: data
  })
}

// 修改安全例会台账
export function updateLedger(data) {
  return request({
    url: '/safe/meeting',
    method: 'put',
    data: data
  })
}

// 删除安全例会台账
export function delLedger(meetingId) {
  return request({
    url: '/safe/meeting/' + meetingId,
    method: 'delete'
  })
}

// 导出安全例会台账
export function exportLedger(query) {
  return request({
    url: '/safe/meeting/export',
    method: 'get',
    params: query
  })
}
